Bug 720824 - xfce4-power-manager ignores user options
xfce4-power-manager ignores user options
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-12 18:02 EDT by Paul Smith
Modified: 2011-07-13 18:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-13 18:03:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Smith 2011-07-12 18:02:33 EDT
Dear All,

On my laptop, I want that, when the lid closed, neither suspension nor hibernation take place. Towards this end, I select "Do nothing" when the lid closes (both for AC and for Battery). Notwithstanding, my laptop goes into sleep/hibernation mode when I close its lid.

Thanks in advance,

Paul
Comment 1 Christoph Wickert 2011-07-12 18:17:52 EDT
Paul, thanks for submitting this bug report.

Lets try to debug the issue: First of all make sure there is only xfce4-power-manager running. Please give me the output of the command 

ps -A | grep power

Does the laptop still suspend if you run

killall xfce4-power-manager

before you close the lid?
Comment 2 Paul Smith 2011-07-12 18:42:57 EDT
Thanks, Christoph, for your reply -- it was most useful to isolate the source of the problem. 

Gnome-power-manager and xfce4-power-manager were running simultaneously! After having removed gnome-power-manager, the reported problem became fixed. Thus, I think this bug report can be closed.

Paul
Comment 3 Christoph Wickert 2011-07-12 19:30:20 EDT
Hi Paul, thanks for the quick feedback.

I already was thinking of something like this. The particular problem with gnome-power-manager is that in GNOME 3 / Fedora 15 you can no longer configure what happens if you close the lid, g-p-m will just suspend the machine. As you can see on http://blogs.gnome.org/hughsie/2011/02/02/is-gnome-3-going-to-melt-your-laptop many people are not happy with this decision. However you can still change the behavior with gnome-tweak-tool if you like to continue with g-p-m.

I have an - only partly - related question: Do the brightness keys work for you when g-p-m is not running?
Comment 4 Paul Smith 2011-07-13 14:31:54 EDT
Hi Christoph,

> I already was thinking of something like this. The particular problem with
> gnome-power-manager is that in GNOME 3 / Fedora 15 you can no longer configure
> what happens if you close the lid, g-p-m will just suspend the machine. As you
> can see on
> http://blogs.gnome.org/hughsie/2011/02/02/is-gnome-3-going-to-melt-your-laptop
> many people are not happy with this decision. However you can still change the
> behavior with gnome-tweak-tool if you like to continue with g-p-m.

Fortunately, I can dispense with the g-p-m!

> I have an - only partly - related question: Do the brightness keys work for you
> when g-p-m is not running?

If you mean

Fn key + Up arrow key

and

Fn key + Down arrow key

they appear to have no effect at all.

Paul
Comment 5 Christoph Wickert 2011-07-13 18:03:14 EDT
Same problem here. They work with g-p-m, however not with x-p-m. I need to look into that and keep you updated. But this a different issue, so I am going to close this one now.

Note You need to log in before you can comment on or make changes to this bug.